Settings API
Reference documentation
The /settings API endpoint
/settings (GET)
The /settings API provides HTTP GET access to the APIs running
configuration settings. Sensitive setting values are redacted by
default, unless the URL query parameter redacted is set to false,
e.g. /settings?redacted=false.
EXAMPLE
The following example demonstrates a request to the /settings API, resulting in
a JSON Hash containing the APIs running configuration settings.
$ curl -s http://127.0.0.1:4567/settings | jq .
{
"api": {
"cors": {
"Headers": "Origin, X-Requested-With, Content-Type, Accept, Authorization",
"Credentials": "true",
"Methods": "GET, POST, PUT, DELETE, OPTIONS",
"Origin": "*"
},
"password": "REDACTED",
"user": "admin"
},
"checks": {
"...": "..."
},
"...": "..."
}API Specification
| /settings (GET) | |
|---|---|
| description | Returns the APIs running configuration settings. |
| example url | http://hostname:4567/settings |
| parameters |
|
| response type | Hash |
| response codes |
|
| output | |